/**
 * 文件名： ResultPageDO.java 此类描述的是： 作者: leiliang 创建时间: 2016年3月23日 上午11:06:15
 */
package com.duiba.tuia.youtui.web.model;

import java.util.List;

import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * <一句话功能描述> <功能详细描述>.
 *
 * @param <T> the generic type
 * @author: leiliang
 * @version:
 */
public class ResultPage<T> extends BaseResult {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = -2762491186195007587L;

    /** 分页查询count总数. */
    private long              count;

    /** 分页查询结果集. */
    private List<T>           data;

    private boolean           success;

    public long getCount() {
        return count;
    }

    public void setCount(long count) {
        this.count = count;
    }

    public List<T> getData() {
        return data;
    }

    public void setData(List<T> data) {
        this.data = data;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

}
